# Uses of Class
org.globus.ftp.HostPort

Packages that use HostPort
Package
Description
org.globus.ftp
org.globus.ftp.dc
org.globus.ftp.extended
org.globus.ftp.vanilla

## Uses of HostPort in org.globus.ftp

Subclasses of HostPort in org.globus.ftp
Modifier and Type
Class
Description
`class`
`HostPort6`
Utility class for parsing and converting host-port information from EPSV and EPRT ftp commands.
Fields in org.globus.ftp declared as HostPort
Modifier and Type
Field
Description
`HostPort`
Session.`serverAddress`
Methods in org.globus.ftp that return HostPort
Modifier and Type
Method
Description
`HostPort`
HostPortList.`get(int index)`
`protected HostPort`
FTPClient.`get127Reply()`
Reads a GFD.47 compliant 127 reply and extracts the port information from it.
`HostPort`
FTPClient.`setLocalPassive()`
Starts local server in passive server mode, with default parameters.
`HostPort`
FTPClient.`setLocalPassive(int port, int queue)`
Starts the local server in passive server mode.
`HostPort`
FTPClient.`setPassive()`
Sets remote server to passive server mode.
Methods in org.globus.ftp with parameters of type HostPort
Modifier and Type
Method
Description
`void`
HostPortList.`add(HostPort hp)`
Adds an element to the list
`void`
FTPClient.`setActive(HostPort hostPort)`
Sets remote server active, telling it to connect to the given address.

## Uses of HostPort in org.globus.ftp.dc

Fields in org.globus.ftp.dc declared as HostPort
Modifier and Type
Field
Description
`protected HostPort`
ActiveConnectTask.`hostPort`
`protected HostPort`
GridFTPActiveConnectTask.`hostPort`
Methods in org.globus.ftp.dc with parameters of type HostPort
Modifier and Type
Method
Description
`void`
TransferThreadManager.`activeConnect(HostPort hp, int connections)`
Act as the active side.
Constructors in org.globus.ftp.dc with parameters of type HostPort
Modifier
Constructor
Description
``
`ActiveConnectTask(HostPort hostPort, DataSink sink, BasicServerControlChannel control, Session session, DataChannelFactory factory, TransferContext context)`
``
`ActiveConnectTask(HostPort hostPort, DataSource source, BasicServerControlChannel control, Session session, DataChannelFactory factory, TransferContext context)`
``
`GridFTPActiveConnectTask(HostPort hostPort, BasicServerControlChannel control, SocketBox box, GridFTPSession gSession)`

## Uses of HostPort in org.globus.ftp.extended

Methods in org.globus.ftp.extended that return HostPort
Modifier and Type
Method
Description
`HostPort`
GridFTPServerFacade.`setPassive(int port, int queue)`
Methods in org.globus.ftp.extended with parameters of type HostPort
Modifier and Type
Method
Description
`void`
GridFTPServerFacade.`setActive(HostPort hp)`

## Uses of HostPort in org.globus.ftp.vanilla

Fields in org.globus.ftp.vanilla declared as HostPort
Modifier and Type
Field
Description
`protected HostPort`
FTPServerFacade.`remoteServerAddress`
Methods in org.globus.ftp.vanilla that return HostPort
Modifier and Type
Method
Description
`HostPort`
FTPServerFacade.`setPassive()`
Behave like setPassive(ANY_PORT, DEFAULT_QUEUE)
`HostPort`
FTPServerFacade.`setPassive(int port, int queue)`
Start the local server
Methods in org.globus.ftp.vanilla with parameters of type HostPort
Modifier and Type
Method
Description
`void`
FTPServerFacade.`setActive(HostPort hp)`
Asynchronous; return before completion.